curl --request GET \
--url https://api.rangler.co/v1/company/ratios \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/company/ratios"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/company/ratios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"country_code": "<string>",
"exchange": "<string>"
},
"scope": "consolidated",
"catalog_version": "<string>",
"unit_convention": {},
"issuer_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"country_code": "<string>",
"exchange": "<string>"
},
"scope_label": "<string>",
"selected_subject": "<string>",
"available_scopes": [
{
"scope": "consolidated",
"label": "<string>",
"scope_label": "<string>"
}
],
"available_reported_currencies": [
"<string>"
],
"available_display_currencies": [
"<string>"
],
"selected_reported_currency": "<string>",
"reported_currency": "<string>",
"display_currency": "<string>",
"periods": [
{
"period_id": "<string>",
"period_end_date": "2023-12-25",
"calendar_year": 123,
"calendar_quarter": 123,
"fiscal_year": 123,
"fiscal_quarter": 123,
"period_family": "annual",
"period_granularity": "full_year",
"reporting_period": "<string>",
"period_type": "<string>",
"duration_months": 123,
"is_derived_period": false,
"is_restated": false,
"restated_metrics": [
"<string>"
],
"scope": "<string>",
"scope_label": "<string>",
"income_basis": "<string>",
"reported_currency": "<string>",
"display_currency": "<string>",
"currency_conversion": {
"source_currency": "<string>",
"target_currency": "<string>",
"rate": 123,
"rate_date": "2023-12-25",
"status": "<string>"
},
"currency": "<string>",
"metrics": {},
"metric_origins": {},
"ratios": {},
"sources": {},
"quarter_derivation": {
"current_period_end_date": "2023-12-25",
"current_income_basis": "<string>",
"previous_period_end_date": "2023-12-25",
"previous_income_basis": "<string>"
},
"ttm_components": {},
"valuation_inputs": {
"price": 123,
"price_currency": "<string>",
"price_as_of_date": "2023-12-25",
"source_price": 123,
"source_price_currency": "<string>",
"statement_currency": "<string>",
"fx_rate": 123,
"fx_rate_date": "2023-12-25",
"fx_status": "<string>",
"shares": 123,
"eps": 123,
"eps_source": "<string>"
}
}
],
"trailing_periods": [
{
"period_id": "<string>",
"period_end_date": "2023-12-25",
"calendar_year": 123,
"calendar_quarter": 123,
"fiscal_year": 123,
"fiscal_quarter": 123,
"period_family": "annual",
"period_granularity": "full_year",
"reporting_period": "<string>",
"period_type": "<string>",
"duration_months": 123,
"is_derived_period": false,
"is_restated": false,
"restated_metrics": [
"<string>"
],
"scope": "<string>",
"scope_label": "<string>",
"income_basis": "<string>",
"reported_currency": "<string>",
"display_currency": "<string>",
"currency_conversion": {
"source_currency": "<string>",
"target_currency": "<string>",
"rate": 123,
"rate_date": "2023-12-25",
"status": "<string>"
},
"currency": "<string>",
"metrics": {},
"metric_origins": {},
"ratios": {},
"sources": {},
"quarter_derivation": {
"current_period_end_date": "2023-12-25",
"current_income_basis": "<string>",
"previous_period_end_date": "2023-12-25",
"previous_income_basis": "<string>"
},
"ttm_components": {},
"valuation_inputs": {
"price": 123,
"price_currency": "<string>",
"price_as_of_date": "2023-12-25",
"source_price": 123,
"source_price_currency": "<string>",
"statement_currency": "<string>",
"fx_rate": 123,
"fx_rate_date": "2023-12-25",
"fx_status": "<string>",
"shares": 123,
"eps": 123,
"eps_source": "<string>"
}
}
],
"metric_metadata": {},
"ratio_metadata": {},
"growth_metadata": {},
"historical_cagrs": {}
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Get company financial ratios
Return supported ratio time series without unrelated statement metrics.
Requires paid access.
curl --request GET \
--url https://api.rangler.co/v1/company/ratios \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/company/ratios"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/company/ratios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"country_code": "<string>",
"exchange": "<string>"
},
"scope": "consolidated",
"catalog_version": "<string>",
"unit_convention": {},
"issuer_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"country_code": "<string>",
"exchange": "<string>"
},
"scope_label": "<string>",
"selected_subject": "<string>",
"available_scopes": [
{
"scope": "consolidated",
"label": "<string>",
"scope_label": "<string>"
}
],
"available_reported_currencies": [
"<string>"
],
"available_display_currencies": [
"<string>"
],
"selected_reported_currency": "<string>",
"reported_currency": "<string>",
"display_currency": "<string>",
"periods": [
{
"period_id": "<string>",
"period_end_date": "2023-12-25",
"calendar_year": 123,
"calendar_quarter": 123,
"fiscal_year": 123,
"fiscal_quarter": 123,
"period_family": "annual",
"period_granularity": "full_year",
"reporting_period": "<string>",
"period_type": "<string>",
"duration_months": 123,
"is_derived_period": false,
"is_restated": false,
"restated_metrics": [
"<string>"
],
"scope": "<string>",
"scope_label": "<string>",
"income_basis": "<string>",
"reported_currency": "<string>",
"display_currency": "<string>",
"currency_conversion": {
"source_currency": "<string>",
"target_currency": "<string>",
"rate": 123,
"rate_date": "2023-12-25",
"status": "<string>"
},
"currency": "<string>",
"metrics": {},
"metric_origins": {},
"ratios": {},
"sources": {},
"quarter_derivation": {
"current_period_end_date": "2023-12-25",
"current_income_basis": "<string>",
"previous_period_end_date": "2023-12-25",
"previous_income_basis": "<string>"
},
"ttm_components": {},
"valuation_inputs": {
"price": 123,
"price_currency": "<string>",
"price_as_of_date": "2023-12-25",
"source_price": 123,
"source_price_currency": "<string>",
"statement_currency": "<string>",
"fx_rate": 123,
"fx_rate_date": "2023-12-25",
"fx_status": "<string>",
"shares": 123,
"eps": 123,
"eps_source": "<string>"
}
}
],
"trailing_periods": [
{
"period_id": "<string>",
"period_end_date": "2023-12-25",
"calendar_year": 123,
"calendar_quarter": 123,
"fiscal_year": 123,
"fiscal_quarter": 123,
"period_family": "annual",
"period_granularity": "full_year",
"reporting_period": "<string>",
"period_type": "<string>",
"duration_months": 123,
"is_derived_period": false,
"is_restated": false,
"restated_metrics": [
"<string>"
],
"scope": "<string>",
"scope_label": "<string>",
"income_basis": "<string>",
"reported_currency": "<string>",
"display_currency": "<string>",
"currency_conversion": {
"source_currency": "<string>",
"target_currency": "<string>",
"rate": 123,
"rate_date": "2023-12-25",
"status": "<string>"
},
"currency": "<string>",
"metrics": {},
"metric_origins": {},
"ratios": {},
"sources": {},
"quarter_derivation": {
"current_period_end_date": "2023-12-25",
"current_income_basis": "<string>",
"previous_period_end_date": "2023-12-25",
"previous_income_basis": "<string>"
},
"ttm_components": {},
"valuation_inputs": {
"price": 123,
"price_currency": "<string>",
"price_as_of_date": "2023-12-25",
"source_price": 123,
"source_price_currency": "<string>",
"statement_currency": "<string>",
"fx_rate": 123,
"fx_rate_date": "2023-12-25",
"fx_status": "<string>",
"shares": 123,
"eps": 123,
"eps_source": "<string>"
}
}
],
"metric_metadata": {},
"ratio_metadata": {},
"growth_metadata": {},
"historical_cagrs": {}
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Authorizations
Query Parameters
Rangler company UUID or exchange ticker, matched case-insensitively.
1 - 64ISO 3166-1 alpha-2 market code. Use it when a ticker is shared across markets.
2Display currency. Use native or an ISO 4217 currency code.
^(?:native|[A-Za-z]{3})$Period filter. Repeat or use a comma-separated list: annual, quarterly, semi-annual, ltm, ytd, latest. Defaults to annual.
Return selected ratio IDs. Repeat or provide a comma-separated list.
Statement scope used to calculate ratios.
auto, consolidated, separate, unspecified Optional reported subject label used to disambiguate statement scope.
1 - 160Embed definitions for the returned ratios.
Maximum periods returned from each requested series.
1 <= x <= 40Response
Successful Response
Standardized company financials with metric definitions and filing sources.
Resolved issuer identity for a financial response.
Show child attributes
Show child attributes
consolidated, separate, unspecified Version of the metric catalog used to produce this response.
Rules for interpreting the unit and scale of every value in the response.
Show child attributes
Show child attributes
Issuer that owns the statements when the selected company is a separate listed security.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Display modes the server can produce without mixing currencies or inventing FX rates.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes